import javax.swing.*;
import java.awt.event.*;
import java.awt.GridLayout;

/**
 * Lab #6
 * CS 2334, Section 0??
 * DATE GOES HERE
 * <P>
 * This class implements a dialog box that can be used
 * to input the data associated with a movie.
 * </P>
 * @author Group #??
 * @version 1.0
 */
public class MovieDialog extends JDialog implements ActionListener
{
	/** Default serial ID */
	private static final long serialVersionUID = 1L;
	/** Data model for the dialog box. */
	private Movie dataModel;
	/** Static constant that indicates the user clicked on "OK" */
	public static final int OK_OPTION = 1;
	/** Static constant that indicates the user clicked on "CANCEL" */
	public static final int CANCEL_OPTION = 0;
	/** Ok Button. */
	private JButton okButton;
	/** Cancel Button */
	private JButton cancelButton; 
	/** Option chosen by user. */
	private int closeOption;


	/**
	 * Initializes the GUI for the dialog box.
	 * <P>
	 * @param   ownerFrame   Frame this dialog is to be attached to.
	 * @param   model        Data model to use for this dialog.
	 */
	MovieDialog( JFrame ownerFrame, Movie model )
	{
		/* Call the constructor of the super class (JDialog) and 
		 * to initialize the dialog object. */
		super( ownerFrame, true );

		/* Save a reference to the object serving as the data model
		 * for the dialog. */
		dataModel = model;

		/* Create components to add to the dialog. */
		okButton = new JButton( "OK" );
		cancelButton = new JButton( "Cancel" );

		/* Setup any necessary event listeners. */
		okButton.addActionListener( this );
		cancelButton.addActionListener( this );


		/* Add the components to the dialog. */
		setLayout( new GridLayout( 0, 2) );
		add( okButton );
		add( cancelButton );


		// NOTE: You will want to use a different layout manger than BorderLayout.

		// Resize the dialog so that it fit's it's contents.
		pack();
	}

	/**
	 * Returns a value indicating how the user closed the dialog.
	 * <P>
	 * @return  An integer indicating how the user closed the dialog
	 *          (will be either the constant OK_OPTION or CANCEL_OPTION.
	 */
	public int getCloseOption()
	{
		return closeOption;
	}

	/**
	 * Method serving as the action event handler for the dialog.
	 * <P>
	 * @param  e  An instance of ActionEvent representing the event that
	 *            occurred.
	 */
	public void actionPerformed( ActionEvent e )
	{
		if( e.getSource() == okButton )
		{
			closeOption = OK_OPTION;
			dataModel.setTitle("Test");
			dataModel.setYear( 123 );

		}
		else if ( e.getSource() == cancelButton )
		{
			closeOption = CANCEL_OPTION;
		}

		dispose();
	}
}
